function time_serie_ER_rossby_df_complet(ndmin, ndmax)
% time_serie_ER_rossby_df_complet ++explication between ndmin days and ndmax days

%+
% module
% ======
%
% ++
%
% DESCRIPTION
% ===========
%
% plot ++ from file eof_rossby_jjas_2006_10-30d.mat
%
% EXAMPLES
% ========
%
% Following line read eof_rossby_jjas_2006_10-30d.mat, plot ++and produce Postscript files time_serie_eof_ER_10-30d_part*.eps.
% ::
%
% >> time_serie_ER_rossby_df_complet(10,30);
%
% SEE ALSO
% ========
%
% olr_eof_jjas2006_rossby_df.m_
%
% .. _olr_eof_jjas2006_rossby_df.m : olr_eof_jjas2006_rossby_df.m.html
%
% carte_eofER_1030_article.m_
%
% .. _carte_eofER_1030_article.m : carte_eofER_1030_article.m.html
%
% carte_eof_ER_jjas_df.m_
%
% .. _carte_eof_ER_jjas_df.m : carte_eof_ER_jjas_df.m.html
%
% time_serie_ER_rossby_df.m_
%
% .. _time_serie_ER_rossby_df.m : time_serie_ER_rossby_df.m.html
%
% TODO
% ====
%
% improve description
%
% improve file pb
%
% use return function
%
% EVOLUTIONS
% ==========
%
% - fplod 2009-01-27T11:51:31Z aedon.locean-ipsl.upmc.fr (Darwin)
%
%   * created from time_serie_ER_rossby_1030_complet.m to replace it as well as
%     time_serie_ER_rossby_30100_complet.m
%
%     Days will be now written ``ndmin``\-``ndmaxd`` (ex: 10-30d) in filenames.
%
%-

global IRCAAM_ID;
global IRCAAM_OD;

if nargin==2
 % ndmin must be lower than ndmax
 if (ndmin > ndmax)
  disp(['ndmin = ', int2str(ndmin)]);
  disp(['ndmax = ', int2str(ndmax)]);
  error('eee : ndmin must be lower than ndmax');
 end
else
  usage='usage : time_serie_ER_rossby_df(ndmin, ndmax)';
  disp(usage);
  error('eee : wrong arguments numbers')
end

% ndmin and ndmax will be used in xx-yyd form in filenames
df = [int2str(ndmin),'-',int2str(ndmax),'d'];
clear ndmin;
clear ndmax;

close all;

figure(1);
orient('landscape')
figure(2);
orient('landscape')
figure(3);
orient('landscape')

fullfilename=[IRCAAM_ID,'eof_rossby_jjas_2006_',df,'.mat'];
status=load(fullfilename,'C','olr');
clear fullfilename;
C=status.C;
olr=status.olr;
clear status;

olr=olr';
PC1=olr*C;

time_serie_olr1=PC1(:,425);
time_serie_olr2=PC1(:,424);

for a=1:28;
   if a<12;
      figure(1);
      subplot(4,3,a);
   elseif a<23;
      figure(2);
      subplot(4,3,a-11);
   else
      figure(3);
      subplot(4,3,a-22);
   end;
   clear koro1
   debut=(a-1)*122+1;
   fin=a*122;
   koro1=time_serie_olr1(debut:fin);
   koro2=time_serie_olr2(debut:fin);
   x=[1:122]';
   aa=plot(x,-koro1,'r');
   hold on;
   bb=plot(x,-koro2,'k');
%   cc=legend('EOF1','EOF2')
%   set (cc,'fontsize',6)
%   legend boxoff;
   y=zeros(122,1);
   plot(x,y,'k:');
   if a==2;
       text(0,183,['time series EOF1 and EOF2 OLR ER ' df]);
   elseif a==13;
       text(0,183,['time series EOF1 and EOF2 OLR ER ' df]);
   elseif a==24;
       text(0,183,['time series EOF1 and EOF2 OLR ER ' df]);
   end;
   title(a+1978,'FontSize',8);
   set (gca,'tickDir','out');
axis([1 122 -100 100]);

set (gca,'YTick',[-100:20:100],'YTickLabel',[-100:20:100],'fontname','Arial','fontsize',6);
set (gca,'XTick',[0:20:120],'XTickLabel',[0:20:120],'fontname','Arial','fontsize',6);
end;

figure(1);
fullfilename=[IRCAAM_OD,'time_serie_eof_ER_',df,'_part1.eps'];
print('-depsc2',fullfilename);
figure(2);
fullfilename=[IRCAAM_OD,'time_serie_eof_ER_',df,'_part2.eps'];
print('-depsc2',fullfilename);
figure(3);
fullfilename=[IRCAAM_OD,'time_serie_eof_ER_',df,'_part3.eps'];
print('-depsc2',fullfilename);
